al_draw_pieslice(3)

NAME

al_draw_pieslice - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_primitives.h>
    void al_draw_pieslice(float cx, float cy, float r, float start_theta,
       float delta_theta, ALLEGRO_COLOR color, float thickness)

DESCRIPTION

Draws a pieslice (outlined circular sector).

Parameters:

•   cx, cy - Center of the pieslice

•   r - Radius of the pieslice

•   color - Color of the pieslice

•   start_theta - The initial angle from which the pieslice is drawn in radians

•   delta_theta - Angular span of the pieslice in radians (pass a negative number to switch direction)

•   thickness - Thickness of the circle, pass <= 0 to draw hairline pieslice

SINCE

5.0.6, 5.1.0

SEE ALSO

al_draw_filled_pieslice(3)